import Vue from "vue";
import App from "./App.vue";
import router from "./router";
import store from "./store";
import "./registerServiceWorker";

import iView from "iview";
import "iview/dist/styles/iview.css";
import "./styles/global.css";

import axiosPlugin from "./utils/axios";

Vue.use(iView);
Vue.use(axiosPlugin);

Vue.config.productionTip = false;

new Vue({
  router,
  store,
  render: h => h(App)
}).$mount("#app");

if (process.env.NODE_ENV === "development") {
  console.log("非生产环境，自动登录");
  (async () => {
    if (window.localStorage.getItem("token")) {
      return;
    }
    const response = await fetch("/api/ecs_core/auth/login", {
      method: "POST",
      headers: {
        "Content-Type": "application/json;charset=UTF-8"
      },
      body: JSON.stringify({
        domain: process.env.VUE_APP_LOGIN_DOMAIN,
        accountValue: process.env.VUE_APP_LOGIN_ACCOUNT_VALUE,
        password: process.env.VUE_APP_LOGIN_PASSWORD,
        accountType: process.env.VUE_APP_LOGIN_ACCOUNTTYPE
      })
    });
    let data = await response.json();
    if (data.token) {
      window.localStorage.setItem("token", data.token);
      window.localStorage.setItem("key", data.key);
    } else {
      console.log(data.desc);
    }
  })();
}
