import Vue from "vue";
import Router from "vue-router";
import Home from "./views/Home.vue";

import NotFoundComponent from "./views/NotFoundComponent.vue";
import OnlineExamHome from "./features/OnlineExam/OnlineExamHome.vue";
import Login from "./features/login/Login.vue";

Vue.use(Router);
let router = new Router({
  mode: "history",
  routes: [
    {
      path: "/",
      name: "home",
      component: Home
    },
    {
      path: "/login",
      name: "login",
      component: Login
    },
    {
      path: "/online-exam",
      name: "OnlineExamHome",
      component: OnlineExamHome
    },
    {
      path: "*",
      component: NotFoundComponent
    }
  ]
});

router.beforeEach((to, from, next) => {
  if (to.path === "/login") {
    next();
  } else {
    if (!window.localStorage.getItem("token")) {
      next({ path: "/login" });
    } else {
      next();
    }
  }
});

export default router;
